import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixButtonPage extends StatefulWidget {
  const PhoenixButtonPage({Key? key}) : super(key: key);

  @override
  State<PhoenixButtonPage> createState() => _PhoenixButtonPage();
}

class _PhoenixButtonPage extends State<PhoenixButtonPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Button Sample App'),
      ),
      body: Column(
        mainAxisSize: MainAxisSize.min,
        children: <Widget>[
          PhoenixButton(
            content: const Text(
              "Normal Button",
            ),
            margin: const EdgeInsets.only(
              left: 16,
              top: 16,
              right: 16,
            ),
            buttonElevation: 2,
            onPressed: () {
              ScaffoldMessenger.of(context).showSnackBar(
                const SnackBar(
                  content: Text("Normal Button Clicked"),
                ),
              );
            },
            radius: 10,
          ),
          PhoenixButton(
            margin: const EdgeInsets.only(
              left: 16,
              right: 16,
              top: 4,
            ),
            buttonElevation: 2,
            content: const Text(
              "Button With Border",
            ),
            onPressed: () {
              ScaffoldMessenger.of(context).showSnackBar(
                const SnackBar(
                  content: Text("Button With Border Clicked"),
                ),
              );
            },
            radius: 10,
            buttonColor: Colors.white,
            textColor: Colors.red,
            borderSide: const BorderSide(color: Colors.red),
          ),
        ],
      ),
    );
  }
}
