import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixGenericPopupPage extends StatefulWidget {
  const PhoenixGenericPopupPage({Key? key}) : super(key: key);

  @override
  State<PhoenixGenericPopupPage> createState() => _PhoenixGenericPopupPage();
}

class _PhoenixGenericPopupPage extends State<PhoenixGenericPopupPage> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Generic Pop Up Sample App'),
      ),
      body: Column(
        children: [
          PhoenixButton(
            ///required
            content: const Text("Show Generic Pop Up One Button"),

            ///optional
            buttonElevation: 0.5,
            radius: 10.0,
            disableButtonColor: Colors.blue,
            margin: const EdgeInsets.only(
              left: 10,
              right: 10,
              top: 10,
            ),
            onPressed: () {
              phoenixGenericPopUp(
                ///required
                context: context,
                popUpContentWidget: const Text(
                  "This is Pop Up One Button Message, Lorem ipsum dolor sit amet, consectetur adipiscing elit",
                  style: TextStyle(
                    fontWeight: FontWeight.normal,
                    color: Colors.black,
                  ),
                ),

                ///optional
                ensureWidget: const Text(
                  "Fantastic",
                  style: TextStyle(
                    fontWeight: FontWeight.bold,
                  ),
                ),
                //if type != 1 the popup will not dismiss when click confirm button
                type: 1,
                barrierDismissible: true,
                ensureCallback: () {
                  showSnackBar("Confirm Button Clicked");
                },
              );
            },
          ),
          PhoenixButton(
            ///required
            content: const Text("Show Generic Pop Up Two Button"),

            ///optional
            buttonElevation: 0.5,
            radius: 10.0,
            disableButtonColor: Colors.blue,
            margin: const EdgeInsets.only(
              left: 10,
              right: 10,
              top: 10,
            ),
            onPressed: () {
              phoenixGenericPopUp(
                ///required
                context: context,
                popUpTitleWidget: const Text(
                  'Pop Up Two Button Title',
                ),
                popUpContentWidget: const Text(
                  "This is Pop Up One Button Message, Lorem ipsum dolor sit amet, consectetur adipiscing elit",
                ),

                ///optional
                ensureWidget: const Text(
                  "Confirm",
                  style: TextStyle(
                    fontWeight: FontWeight.bold,
                  ),
                ),
                cancelWidget: const Text(
                  "Cancel",
                  style: TextStyle(
                    color: Colors.red,
                  ),
                ),
                //if type != 1 the popup will not dismiss when click confirm button
                type: 1,
                barrierDismissible: false,
                ensureCallback: () {
                  showSnackBar("Confirm Button Clicked");
                },
                cancelCallback: () {
                  showSnackBar("Cancel Button Clicked");
                },
              );
            },
          )
        ],
      ),
    );
  }

  showSnackBar(String text) {
    ScaffoldMessenger.of(context).showSnackBar(
      SnackBar(
        content: Text(text),
      ),
    );
  }
}
