import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixPopupPage extends StatefulWidget {
  const PhoenixPopupPage({Key? key}) : super(key: key);

  @override
  State<PhoenixPopupPage> createState() => _PhoenixPopupPage();
}

class _PhoenixPopupPage extends State<PhoenixPopupPage> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Pop Up Sample App'),
      ),
      body: Column(
        children: [
          PhoenixButton(
            ///required
            content: const Text("Show Pop Up One Button"),
            buttonElevation: 0.5,
            radius: 10.0,
            disableButtonColor: Colors.blue,
            margin: const EdgeInsets.only(
              left: 10,
              right: 10,
              top: 10,
            ),
            onPressed: () {
              phoenixPopUp(
                context: context,
                description:
                    "This is Pop Up One Button Message, Lorem ipsum dolor sit amet, consectetur adipiscing elit",
                primaryButtonLabel: 'Fantastic',
                type: 1,
                barrierDismissible: true,
                ensureCallback: () {
                  showSnackBar("Confirm Button Clicked");
                },
              );
            },
          ),
          PhoenixButton(
            ///required
            content: const Text("Show Pop Up Two Button"),

            ///optional
            buttonElevation: 0.5,
            radius: 10.0,
            disableButtonColor: Colors.blue,
            margin: const EdgeInsets.only(
              left: 10,
              right: 10,
              top: 10,
            ),
            onPressed: () {
              phoenixPopUp(
                context: context,
                title: 'Pop Up Two Button Title',
                description:
                    "This is Pop Up One Button Message, Lorem ipsum dolor sit amet, consectetur adipiscing elit",
                primaryButtonLabel: 'Confirm',
                secondayButtonLabel: 'Cancel',
                type: 1,
                barrierDismissible: true,
                ensureCallback: () {
                  showSnackBar("Confirm Button Clicked");
                },
                cancelCallback: () {
                  showSnackBar("Cancel Button Clicked");
                },
              );
            },
          ),
          PhoenixButton(
            ///required
            content: const Text("Show Pop Up Two Button in Column"),

            ///optional
            buttonElevation: 0.5,
            radius: 10.0,
            disableButtonColor: Colors.blue,

            margin: const EdgeInsets.only(
              left: 10,
              right: 10,
              top: 10,
            ),
            onPressed: () {
              phoenixPopUp(
                context: context,
                title: 'Pop Up Two Button Title',
                description:
                    "This is Pop Up One Button Message, Lorem ipsum dolor sit amet, consectetur adipiscing elit",
                primaryButtonLabel: 'Confirm',
                secondayButtonLabel: 'Cancel',
                type: 1,
                barrierDismissible: true,
                direction: PhoenixPopupDirection.column,
                ensureCallback: () {
                  showSnackBar("Confirm Button Clicked");
                },
                cancelCallback: () {
                  showSnackBar("Cancel Button Clicked");
                },
              );
            },
          )
        ],
      ),
    );
  }

  showSnackBar(String text) {
    ScaffoldMessenger.of(context).showSnackBar(
      SnackBar(
        content: Text(text),
      ),
    );
  }
}
