import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixSearchbarPage extends StatefulWidget {
  const PhoenixSearchbarPage({Key? key}) : super(key: key);

  @override
  State<PhoenixSearchbarPage> createState() => _PhoenixSearchbarPage();
}

class _PhoenixSearchbarPage extends State<PhoenixSearchbarPage> {
  String result = "";

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Searchbar Sample App'),
      ),
      body: Column(
        children: [
          Padding(
            padding: const EdgeInsets.all(16),
            child: PhoenixSearchbar(
              hintText: "Search",
              cancelText: "Cancel",
              onCancel: () => Navigator.pop(context),
              onChanged: (value) {
                setState(() {
                  result = value;
                });
              },
            ),
          ),
          const SizedBox(height: 30),
          Text(result)
        ],
      ),
    );
  }

  showSnackBar(String text) {
    ScaffoldMessenger.of(context).showSnackBar(
      SnackBar(
        content: Text(text),
      ),
    );
  }
}
