import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class ProgressBar extends StatelessWidget implements PreferredSizeWidget {
  const ProgressBar({
    Key? key,
    this.isDoneLoading = true,
    this.percentage = 0.0,
  }) : super(key: key);

  final bool isDoneLoading;
  final double percentage;

  @override
  Widget build(BuildContext context) {
    return PreferredSize(
      child: Container(
        alignment: Alignment.centerLeft,
        height: 5,
        color: isDoneLoading ? Colors.transparent : const Color(0xFFEAEAEA),
        child: !isDoneLoading
            ? AnimatedContainer(
                width: MediaQuery.of(context).size.width * percentage,
                duration: const Duration(milliseconds: 1000),
                child: PhoenixShimmer.rectangular(
                  height: 5,
                  baseColor: const Color(0xff67C1BF),
                  highlightColor: const Color(0xFFB3E0DF),
                ),
              )
            : null,
      ),
      preferredSize: preferredSize,
    );
  }

  @override
  Size get preferredSize => const Size.fromHeight(5);
}
