import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_list_group.dart';

class PhoenixListGroupPartition extends StatelessWidget {
  const PhoenixListGroupPartition({
    Key? key,
    required this.groupList,
  }) : super(key: key);
  final Map<String, List<DataHelper>> groupList;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        /// Generate group menu title
        for (int rootIndex = 0; rootIndex < groupList.keys.length; rootIndex++)
          Padding(
            padding: const EdgeInsets.only(bottom: 16),
            child: Container(
              decoration: BoxDecoration(
                color: Colors.white,
                border: Border.all(color: const Color(0xFFEAEAEA)),
                borderRadius: const BorderRadius.all(
                  Radius.circular(4),
                ),
              ),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Padding(
                    padding: const EdgeInsets.all(16),
                    child: Text(
                      groupList.keys.elementAt(rootIndex),
                      style: const TextStyle(
                        color: Color(0xff75767A),
                        fontWeight: FontWeight.normal,
                        fontSize: 14,
                      ),
                    ),
                  ),

                  /// Generate child in group menu
                  for (int i = 0;
                      i <
                          groupList.values
                              .elementAt(rootIndex)
                              .toList()
                              .where((element) => element.isVisible)
                              .length;
                      i++)
                    Column(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                            color: Colors.white,
                            borderRadius: BorderRadius.circular(4),
                          ),
                          child: Material(
                            color: Colors.transparent,
                            child: InkWell(
                              onTap: groupList.values
                                  .elementAt(rootIndex)[i]
                                  .onPressed,
                              child: SizedBox(
                                width: double.infinity,
                                child: Padding(
                                  padding: EdgeInsets.fromLTRB(
                                    16,
                                    i == 0 ? 0 : 8,
                                    16,
                                    12,
                                  ),
                                  child: Row(
                                    mainAxisAlignment:
                                        MainAxisAlignment.spaceBetween,
                                    children: [
                                      Text(
                                        groupList.values
                                                .elementAt(rootIndex)[i]
                                                .title ??
                                            "",
                                        style: const TextStyle(
                                          color: Color(0xFF212124),
                                          fontSize: 16,
                                          fontWeight: FontWeight.normal,
                                        ),
                                      ),
                                      const Icon(
                                        Icons.navigate_next,
                                        size: 28,
                                        color: Color(0xff75767A),
                                      ),
                                    ],
                                  ),
                                ),
                              ),
                            ),
                          ),
                        ),
                        ((i + 1) ==
                                groupList.values
                                    .elementAt(rootIndex)
                                    .toList()
                                    .where((element) => element.isVisible)
                                    .length)
                            ? const SizedBox()
                            : Container(
                                margin: const EdgeInsets.only(
                                  left: 16,
                                ),
                                height: 1,
                                color: const Color(0xFFEAEAEA),
                              ),
                      ],
                    ),
                ],
              ),
            ),
          )
      ],
    );
  }
}
